#    Copyright 2014-2017 Chris Caron <lead2gold@gmail.com>
#
#    This is free software: you can redistribute it and/or modify it under the
#    terms of the GNU General Public License as published by the Free Software
#    Foundation, either version 3 of the License, or (at your option) any later
#    version.
#
#    This file is distributed in the hope that it will be useful, but WITHOUT
#    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
#    FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
#    more details.
#
#    You should have received a copy of the GNU General Public License along
#    with this file. If not, see http://www.gnu.org/licenses/.
###############################################################################
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%global         pkgname sabyenc

Name:           python-sabyenc
Version:        3.0.2
Release:        1%{?dist}.nuxref
Summary:        Fork of original yenc module for use within SABnzbd
Group:          Development/Languages
License:        LGPLv3
URL:            https://github.com/sabnzbd/sabnzbd-yenc
Source0:        https://pypi.python.org/packages/81/ab/d2666ac493e91095bcafeb34d572aad144e446d7f1dcf25db7088532d8b4/sabyenc-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  python-setuptools, python-devel
Requires:       python >= 2.6

%description
A modified the original yenc module by Alessandro Duca for use within SABnzbd.

The module was extended to do header parsing and full yEnc decoding from a
Python list of chunks, the way in which data is retrieved from usenet.

%prep
%setup -q -n %{pkgname}-%{version}
# Clean out old egg content
%{__rm} -rf %{pkgname}.egg-info

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build \
              --root %{buildroot} --prefix="%{_prefix}"

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc PKG-INFO
%{python_sitearch}/%{pkgname}.so
%{python_sitearch}/%{pkgname}-%{version}-*.egg-info

%changelog
* Thu Apr  6 2017 Chris Caron <lead2gold@gmail.com> - 3.0.2-1
- updated to v3.0.2

* Wed Mar 29 2017 Chris Caron <lead2gold@gmail.com> - 2.8.0-1
- updated to v2.8.0

* Mon Mar 13 2017 Chris Caron <lead2gold@gmail.com> - 2.7.0-1
- Initial Version

